package com.javacodegeeks.examples;

import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.IOException;

public class SimpleBufferedInputStreamExample {

	public static void main(String[] args) {
		StringBuilder sb = new StringBuilder();
		try {
			BufferedInputStream in = new BufferedInputStream(new FileInputStream("C:/file.txt"));
			
			while(in.available()>0) {
				sb.append((char) in.read());
			}
			
			System.out.println("read this:");
			System.out.println(sb.toString());
			in.close();
			
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		
	}

}
